# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Text-Trac
Version:	0.24
Release:	2.%{__distinit}%{__distvers}
Summary:	Perl extension for formatting text with Trac Wiki Style
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Text-Trac
Source0:	https://cpan.metacpan.org/modules/by-module/Text/Text-Trac-%{version}.tar.gz
Patch0:		Text-Trac-0.24-shebang.patch
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(base)
BuildRequires:	perl(Class::Accessor::Fast)
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:	perl(HTML::Entities)
BuildRequires:	perl(List::MoreUtils)
BuildRequires:	perl(strict)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	perl(Tie::IxHash)
BuildRequires:	perl(UNIVERSAL::require)
BuildRequires:	perl(warnings)
# Script
BuildRequires:	perl(Getopt::Long)
BuildRequires:	perl(Path::Tiny)
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::Base)
BuildRequires:	perl(Test::Base::Filter)
BuildRequires:	perl(Test::More)
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Text::Trac parses text with Trac WikiFormatting and converts it to HTML format.

%prep
%setup -q -n Text-Trac-%{version}

# Avoid /usr/bin/env perl shebang
%patch -P 0

# Drop redundant exec permissions
find . -name '*.pm' -exec chmod -c -x {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README.md
%{_bindir}/trac2html
%{perl_vendorlib}/Text/
%{_mandir}/man3/Text::Trac.3*

%changelog
* Sat Jun 24 2023 Paul Howarth <paul@city-fan.org> - 0.24-2
- Use SPDX-format license tag
- Avoid use of deprecated patch syntax
- Drop support for building with rpm < 4.9

* Fri Dec 18 2020 Paul Howarth <paul@city-fan.org> - 0.24-1
- Initial RPM version
